<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function reviewboard_base_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'reviewboard_frontpage';
  $context->description = 'When viewing the frontpage schedule view, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'schedule:page_4' => 'schedule:page_4',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-schedule-block_2' => array(
          'module' => 'views',
          'delta' => 'schedule-block_2',
          'region' => 'right',
          'weight' => 0,
        ),
        'boxes-reviewboard_workflowstate_legend' => array(
          'module' => 'boxes',
          'delta' => 'reviewboard_workflowstate_legend',
          'region' => 'right',
          'weight' => 2,
        ),
        'user-0' => array(
          'module' => 'user',
          'delta' => 0,
          'region' => 'right',
          'weight' => 3,
        ),
        'boxes-reviewboard_frontpage_welcome' => array(
          'module' => 'boxes',
          'delta' => 'reviewboard_frontpage_welcome',
          'region' => 'topcontent',
          'weight' => 0,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('When viewing the frontpage schedule view, show contextual information.');
  t('ReviewBoard');

  $export['reviewboard_frontpage'] = $context;
  return $export;
}
