<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function reviewboard_investment_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'investment-content-type';
  $context->description = 'When viewing an investment, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'investment' => 'investment',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-reviews-block_1' => array(
          'module' => 'views',
          'delta' => 'reviews-block_1',
          'region' => 'right',
          'weight' => 0,
        ),
      ),
    ),
    'breadcrumb' => 'investments',
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('When viewing an investment, show contextual information.');
  t('ReviewBoard');

  $export['investment-content-type'] = $context;
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'investment-view';
  $context->description = 'When viewing investment listing, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'investment' => 'investment',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views--exp-investment-page_1' => array(
          'module' => 'views',
          'delta' => '-exp-investment-page_1',
          'region' => 'right',
          'weight' => 0,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('When viewing investment listing, show contextual information.');
  t('ReviewBoard');

  $export['investment-view'] = $context;
  return $export;
}
