<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function reviewboard_review_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'review-content-type';
  $context->description = 'When viewing a review, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'review' => 'review',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-scoresheets-block_1' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_1',
          'region' => 'right',
          'weight' => 0,
        ),
        'views-scoresheets-block_2' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_2',
          'region' => 'right',
          'weight' => 1,
        ),
        'views-schedule-block_4' => array(
          'module' => 'views',
          'delta' => 'schedule-block_4',
          'region' => 'right',
          'weight' => 2,
        ),
        'boxes-reviewboard_workflowstate_legend' => array(
          'module' => 'boxes',
          'delta' => 'reviewboard_workflowstate_legend',
          'region' => 'right',
          'weight' => 3,
        ),
        'views-reviewboard_workflow_history-block_1' => array(
          'module' => 'views',
          'delta' => 'reviewboard_workflow_history-block_1',
          'region' => 'main',
          'weight' => 0,
        ),
        'views-reviewboard_workflow_history-block_2' => array(
          'module' => 'views',
          'delta' => 'reviewboard_workflow_history-block_2',
          'region' => 'main',
          'weight' => 1,
        ),
      ),
    ),
    'breadcrumb' => 'schedule',
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('When viewing a review, show contextual information.');
  t('ReviewBoard');

  $export['review-content-type'] = $context;
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'review-content-type-admin';
  $context->description = 'When viewing certain role and viewing a review, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'review' => 'review',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
    'user' => array(
      'values' => array(
        'Review Office' => 'Review Office',
        'administrator' => 'administrator',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'workflow_extensions-0' => array(
          'module' => 'workflow_extensions',
          'delta' => 0,
          'region' => 'right',
          'weight' => 0,
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('When viewing certain role and viewing a review, show contextual information.');
  t('ReviewBoard');

  $export['review-content-type-admin'] = $context;
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'schedule-view';
  $context->description = 'When viewing the schedule listing, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'schedule:page_1' => 'schedule:page_1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views--exp-schedule-page_1' => array(
          'module' => 'views',
          'delta' => '-exp-schedule-page_1',
          'region' => 'right',
          'weight' => 0,
        ),
        'boxes-reviewboard_workflowstate_legend' => array(
          'module' => 'boxes',
          'delta' => 'reviewboard_workflowstate_legend',
          'region' => 'right',
          'weight' => 1,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('ReviewBoard');
  t('When viewing the schedule listing, show contextual information.');

  $export['schedule-view'] = $context;
  return $export;
}
