<?php

/**
 * Implementation of hook_user_default_permissions().
 */
function reviewboard_review_user_default_permissions() {
  $permissions = array();

  // Exported permission: create investment content
  $permissions['administer review board configuration'] = array(
    'name' => 'administer review board configuration',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: create investment content
  $permissions['administer permissions'] = array(
    'name' => 'administer permissions',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit any investment content
  $permissions['administer users'] = array(
    'name' => 'administer users',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: access workflow summary views
  $permissions['access workflow summary views'] = array(
    'name' => 'access workflow summary views',
    'roles' => array(
      '0' => 'Review Office',
      '1' => 'Operating Unit POC',
    ),
  );
  // Exported permission: create review content
  $permissions['create review content'] = array(
    'name' => 'create review content',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_documents
  $permissions['edit field_documents'] = array(
    'name' => 'edit field_documents',
    'roles' => array(
      '0' => 'Review Office',
      '1' => 'Operating Unit POC',
    ),
  );

  // Exported permission: edit field_operatingunitpoc_ref
  $permissions['edit field_operatingunitpoc_ref'] = array(
    'name' => 'edit field_operatingunitpoc_ref',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_investment_ref
  $permissions['edit field_investment_ref'] = array(
    'name' => 'edit field_investment_ref',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_review_date
  $permissions['edit field_review_date'] = array(
    'name' => 'edit field_review_date',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_room
  $permissions['edit field_room'] = array(
    'name' => 'edit field_room',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_summary
  $permissions['edit field_summary'] = array(
    'name' => 'edit field_summary',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: edit field_type
  $permissions['edit field_type'] = array(
    'name' => 'edit field_type',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  // Exported permission: view field_documents
  $permissions['view field_documents'] = array(
    'name' => 'view field_documents',
    'roles' => array(
      '0' => 'Review Office',
      '1' => 'Operating Unit POC',
      '2' => 'Procurement Sensitive',
      '3' => 'Review Board',
    ),
  );

  // Exported permission: view field_operatingunitpoc_ref
  $permissions['view field_operatingunitpoc_ref'] = array(
    'name' => 'view field_operatingunitpoc_ref',
    'roles' => array(
      '0' => 'Review Office',
      '1' => 'Operating Unit POC',
      '2' => 'Procurement Sensitive',
      '3' => 'Review Board',
    ),
  );

  // Exported permission: view field_investment_ref
  $permissions['view field_investment_ref'] = array(
    'name' => 'view field_investment_ref',
    'roles' => array(
      '0' => 'anonymous user',
      '1' => 'authenticated user',
    ),
  );

  // Exported permission: view field_review_date
  $permissions['view field_review_date'] = array(
    'name' => 'view field_review_date',
    'roles' => array(
      '0' => 'anonymous user',
      '1' => 'authenticated user',
    ),
  );

  // Exported permission: view field_room
  $permissions['view field_room'] = array(
    'name' => 'view field_room',
    'roles' => array(
      '0' => 'Review Office',
      '1' => 'Operating Unit POC',
      '2' => 'Review Board',
    ),
  );

  // Exported permission: view field_summary
  $permissions['view field_summary'] = array(
    'name' => 'view field_summary',
    'roles' => array(
      '0' => 'anonymous user',
      '1' => 'authenticated user',
    ),
  );

  // Exported permission: view field_type
  $permissions['view field_type'] = array(
    'name' => 'view field_type',
    'roles' => array(
      '0' => 'anonymous user',
      '1' => 'authenticated user',
    ),
  );

  // Exported permission: view revisions
  $permissions['view revisions'] = array(
    'name' => 'view revisions',
    'roles' => array(
      '0' => 'Review Office',
    ),
  );

  return $permissions;
}
