<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function reviewboard_scoresheet_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'scoresheet_summary';
  $context->description = 'When viewing the scoring summary for a review, show contextual information.';
  $context->tag = 'ReviewBoard';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'scoresheets:page_1' => 'scoresheets:page_1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-scoresheets-block_5' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_5',
          'region' => 'right',
          'weight' => 0,
        ),
        'views-scoresheets-block_9' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_9',
          'region' => 'main_right',
          'weight' => 0,
        ),
        'views-scoresheets-block_10' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_10',
          'region' => 'main_right',
          'weight' => 1,
        ),
        'views-scoresheets-block_6' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_6',
          'region' => 'main_left',
          'weight' => 0,
        ),
        'views-scoresheets-block_7' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_7',
          'region' => 'main_left',
          'weight' => 1,
        ),
        'views-scoresheets-block_8' => array(
          'module' => 'views',
          'delta' => 'scoresheets-block_8',
          'region' => 'main_left',
          'weight' => 2,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('ReviewBoard');
  t('When viewing the scoring summary for a review, show contextual information.');

  $export['scoresheet_summary'] = $context;
  return $export;
}
