<?php

/**
 * Implementation of hook_fieldgroup_default_groups().
 */
function reviewboard_scoresheet_fieldgroup_default_groups() {
  $groups = array();

  // Exported group: group_expertise
  $groups['scoresheet-group_expertise'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_expertise',
    'label' => 'Approach and Subject Matter Expertise',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong>Acquisition Management<br />
Enterprise Architecture, etc.</strong><br />
[Rigor, completeness, adequacy and compliance with mandates]<br />
(Scoring 1: Lowest - 5: Highest)',
      ),
      'display' => array(
        'weight' => '1',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '2',
    'fields' => array(
      '0' => 'field_expertise_score',
      '1' => 'field_expertise_notes',
    ),
  );

  // Exported group: group_health
  $groups['scoresheet-group_health'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_health',
    'label' => 'Overall Health and Wellness of Program/Project',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong>Meets Requirements<br />
Issue Management<br />
Stability</strong><br />
(Scoring 1: Lowest - 5: Highest)',
      ),
      'display' => array(
        'weight' => '2',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '3',
    'fields' => array(
      '0' => 'field_health_score',
      '1' => 'field_health_notes',
    ),
  );

  // Exported group: group_project
  $groups['scoresheet-group_project'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_project',
    'label' => 'Program/Project Management',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong>Budget/Cost and Schedule<br />
Human Resources<br />
Integration and Communication<br /></strong>
[Execution/management of PM principles, organizational sufficiency; adequately defined, goals and objectives]<br />
(Scoring 1: Lowest - 5: Highest)',
      ),
      'display' => array(
        'weight' => '-2',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '-1',
    'fields' => array(
      '0' => 'field_project_score',
      '1' => 'field_project_notes',
    ),
  );

  // Exported group: group_rating
  $groups['scoresheet-group_rating'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_rating',
    'label' => 'Overall Project Risk Rating',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong><span style=\'color: green;\'>Green</span>:  </strong>Minimal risk, w/ strong mitigation strategies<br />
<strong><span style=\'color: yellow;\'>Yellow</span>:  </strong>Acceptable levels of risk w/ strong mitigation strategies<br />
<strong><span style=\'color: orange;\'>Orange</span>:  </strong>Risk increasing, approaching critical level, weak mitigation strategies<br />
<strong><span style=\'color: red;\'>Red</span>:  </strong>Extremely high level of risk, risks are increasing, high probability that project will not have a successful outcome',
      ),
      'display' => array(
        'weight' => '3',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '4',
    'fields' => array(
      '0' => 'field_rating_score',
      '1' => 'field_rating_notes',
    ),
  );

  // Exported group: group_risk
  $groups['scoresheet-group_risk'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_risk',
    'label' => 'Risk Management',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong>Planning, Identification, Assessment, Analysis, Tracking, Control and Mitigation (Acquisition and Program)</strong><br />
[Accuracy and completeness; adequacy of mitigation, minimization or elimination options; quality of contingency planning.]<br />
(Scoring 1: Lowest - 5: Highest)',
      ),
      'display' => array(
        'weight' => '-1',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '0',
    'fields' => array(
      '0' => 'field_risk_score',
      '1' => 'field_risk_notes',
    ),
  );

  // Exported group: group_security
  $groups['scoresheet-group_security'] = array(
    'group_type' => 'standard',
    'type_name' => 'scoresheet',
    'group_name' => 'group_security',
    'label' => 'Information Technology and Cyber Security',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '<br /><strong>Strategies<br />
Application<br />
Alternatives (pros, cons, benefits)</strong><br />
[Adequacy, completeness and thoroughness of planning]<br />
(Scoring 1: Lowest - 5: Highest)',
      ),
      'display' => array(
        'weight' => '0',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '5' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '1',
    'fields' => array(
      '0' => 'field_security_score',
      '1' => 'field_security_notes',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Approach and Subject Matter Expertise');
  t('Information Technology and Cyber Security');
  t('Overall Health and Wellness of Program/Project');
  t('Overall Project Risk Rating');
  t('Program/Project Management');
  t('Risk Management');

  return $groups;
}
