<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function reviewboard_scoresheet_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => 3);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function reviewboard_scoresheet_node_info() {
  $items = array(
    'scoresheet' => array(
      'name' => t('scoresheet'),
      'module' => 'features',
      'description' => t('For scoring investments during a scheduled review process. Score sheets are submitted by board members or review board office.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => t('When submitting a score sheet, ensure the Investment being scored is correct. Select a numeric score and add your comments for each element. At the bottom, check the box to acknowledge you are a voting member and click Save.'),
    ),
  );
  return $items;
}

/**
 * Implementation of hook_views_api().
 */
function reviewboard_scoresheet_views_api() {
  return array(
    'api' => '2',
  );
}
